+ Reply to Thread
Results 1 to 8 of 8
  1. #1
    Junior Member
    Using
    AutoCAD 2010
    Join Date
    Nov 2014
    Posts
    13

    Question Drafting projects

    Registered forum members do not see this ad.

    I am working on my drafting projects. What is the best way to draw the lines for the floor plans? Is it okay to use the MLINE command or is there a better way to get the 6" and 4" walls?

  2. #2
    Super Moderator rkmcswain's Avatar
    Computer Details
    rkmcswain's Computer Details
    Operating System:
    Windows 7 Pro x64
    Computer:
    HP ZBook 17
    CPU:
    i7-4810MQ @ 2.80 GHZ
    RAM:
    16GB
    Graphics:
    Nvidia Quadro K4100M
    Primary Storage:
    256GB SSD
    Secondary Storage:
    1TB SATA
    Monitor:
    (2) HP 23"
    Discipline
    Civil
    rkmcswain's Discipline Details
    Discipline
    Civil
    Details
    CAD Manager
    Using
    Civil 3D 2017
    Join Date
    Sep 2005
    Location
    Houston
    Posts
    4,456

    Default

    I'm going with your profile that you are using plain AutoCAD 2010.

    IMO....
    Mlines are okay, but just recognize that they are not really mainstream in vanilla AutoCAD use (AFAIK) because most people drawing walls, etc. are using AutoCAD Arch, or some other program that has custom objects to represent those special things.
    If it comes down to some fine editing of your drawing, you may find that you have to explode the mlines to get it to look like you desire.
    Experiment and see what you think.
    R.K. McSwain
    CAD Panacea | twitter

  3. #3
    Luminous Being
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    9,901

    Default

    We use a version of a mline that draws the 4 lines in one go and on different layers, also internal walls as 2 lines, with smart join and trim routines sorry all copyrighted. I apologise for posting this image again, need to make a new one. This is all plain jane autocad.

    3dhouse.jpg
    A man who never made mistakes never made anything

  4. #4
    Quantum Mechanic ReMark's Avatar
    Computer Details
    ReMark's Computer Details
    Operating System:
    Windows 7 Pro 64-bit
    Computer:
    Thinkmate
    Motherboard:
    Intel DX58SO2 LGA1366 X58
    CPU:
    Intel i7-960 Quad-core 3.20GHz 8MB cache
    RAM:
    12GB (3x4GB) PC3-106000 DDR3
    Graphics:
    nVidia Quadro K4200, 4GB GDDR5
    Primary Storage:
    150GB Velocipraptor 10,000 rpm
    Secondary Storage:
    none
    Monitor:
    Dell P24LLH - 24" wide screen LCD
    Discipline
    See details...
    ReMark's Discipline Details
    Occupation
    CAD Draftsman/Designer...chemical manufacturing.
    Discipline
    See details below.
    Details
    I work for a specialty chemical manufacturer. I do a little bit of everything from P&IDs to civil to architectural and structural.
    Using
    AutoCAD 2018
    Join Date
    Nov 2005
    Location
    Norwalk, CT USofA
    Posts
    46,506

    Default

    If you are an experienced AutoCAD user it's possible you could do this using a continuous polyline for the footprint of the building then offset the required distance for the wall. Then you can use lines or polylines for the interior walls.
    "I have only come here seeking knowledge. Things they wouldn't teach me of in college." The Police

    Eat brains...gain more knowledge!

    I'm now a full member of the Society for the Promotion of Mediocrity in CAD. Standards? We don't need no stinkin' standards! Take whatever advice I offer and do the opposite.

  5. #5
    Luminous Being Dadgad's Avatar
    Using
    AutoCAD 2013
    Join Date
    Nov 2011
    Location
    At the confluence of worthlessness & invaluability
    Posts
    5,976

    Default

    Welcome to CADTutor.

    I really like MLINES, and think that they are under utilized by most users, although as RK points out, there are some issues when using them.
    I have a small library of Mlines I made up for drawing common steel profiles, but I rarely use them because I tend to use SOLPROF instead from 3D Models.
    If all of your exterior walls are 6", you could quickly trace around your footprint with a multiline and create them, remember that you are in charge of the display justification, meaning relative to the base line you draw.
    If you look at the options for Multilines, you have a fair amount of control over them, when creating and defining the style.
    In the screenshot you can see those steel profile multilines which I include in my default .dwt, so if I need them, I remember which ones are available. The more elements included in the multiline, the more valuable it becomes, for a double line, OFFSET is pretty hard to beat. In the flange view multilines in my screenshot, you draw the web at the same time as the flange by drawing a single line, which is extremely accurate and fast.

    As ReMark suggested, this can quite easily be accomplished using the OFFSET command too.
    Attached Images
    Last edited by Dadgad; 19th Jun 2015 at 12:12 pm.
    Volume and repetition do not validate opinions forged in the absence of thought.

  6. #6
    Luminous Being
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    9,901

    Default

    Like others the simplest way is draw outside wall line then just offset you make a simple lisp that has the standard wall sizes pre set. There are heaps of offset code available. In the example above we have an extra routine drag a line over a wall, 4 lines and it sets then the wall spacings automatically. The code for the image is like 20 years+ old.

    Here is a simple offset routine that has extra offsets added. I know I posted a routine that was like offset 4,6,4 meaning 4" wall 6" gap 4" wall just trying to find it may be at work.

    Code:
    (defun C:MULOFF ( / obj s off)
    (vl-load-com)
    (setq obj (entsel "\nSelectObject"))
    (setq s (getpoint "\nPick Offset side"))
    (while (/= (setq off (getreal "\nEnter offset or Enter to exit")) nil)
    (vl-cmdf "_.offset" off obj s "")
    )
    )
    (c:muloff)
    A man who never made mistakes never made anything

  7. #7
    Junior Member
    Using
    AutoCAD 2010
    Join Date
    Nov 2014
    Posts
    13

    Default

    Thanks to everyone for your comments. I found that offset works wonders for me. It made completing the subdivision so much easier for Oleson Village. I followed the thread by ReMark and it made so much sense. Thank you, ReMark for your patience with those of us who are amateurs. I only have a couple if things left to do in the Village before I turn it in.

    I do have a question concerning putting the text in the drawing. How do I get the text in the place that I want it? For example, in the Oleson Village project, it says to put the bearings under the the property line. The book nor the project booklet give much info on how to do that with precision.

  8. #8
    Quantum Mechanic ReMark's Avatar
    Computer Details
    ReMark's Computer Details
    Operating System:
    Windows 7 Pro 64-bit
    Computer:
    Thinkmate
    Motherboard:
    Intel DX58SO2 LGA1366 X58
    CPU:
    Intel i7-960 Quad-core 3.20GHz 8MB cache
    RAM:
    12GB (3x4GB) PC3-106000 DDR3
    Graphics:
    nVidia Quadro K4200, 4GB GDDR5
    Primary Storage:
    150GB Velocipraptor 10,000 rpm
    Secondary Storage:
    none
    Monitor:
    Dell P24LLH - 24" wide screen LCD
    Discipline
    See details...
    ReMark's Discipline Details
    Occupation
    CAD Draftsman/Designer...chemical manufacturing.
    Discipline
    See details below.
    Details
    I work for a specialty chemical manufacturer. I do a little bit of everything from P&IDs to civil to architectural and structural.
    Using
    AutoCAD 2018
    Join Date
    Nov 2005
    Location
    Norwalk, CT USofA
    Posts
    46,506

    Default

    Registered forum members do not see this ad.

    You can get the text aligned in a couple of ways. This is one way....

    Invoke the SNAPANG command at the command line. When prompted to "Enter new value for SNAPANG <0>" use your mouse to pick one end of the line you want to place your text over. When prompted to "Specify second point" pick the other end of your line. Your crosshairs should now mimic the angle of the line. Use the Single Line Text feature and the Justify option. Make the justification "Center". Specify the center point of the text by selecting the midpoint of the line. Specify the height of your text. When it comes to Specifying the angle of your text pick the right hand end of the line. Type your text then hit the Enter key twice to accept it. Use the MOVE command to move the text off the line to get some space between the bottom of the text and the line itself.

    Now somewhere along the way you should have invoked the UNITS command and set the Angle type to Deg/Min/Sec and the Precision to 0d00'00". Do you recall doing that?
    Last edited by ReMark; 30th Jun 2015 at 11:08 pm.
    "I have only come here seeking knowledge. Things they wouldn't teach me of in college." The Police

    Eat brains...gain more knowledge!

    I'm now a full member of the Society for the Promotion of Mediocrity in CAD. Standards? We don't need no stinkin' standards! Take whatever advice I offer and do the opposite.

Similar Threads

  1. Vault Projects - how to use projects & Vault successfully
    By Doove in forum Autodesk Inventor
    Replies: 3
    Last Post: 10th Feb 2015, 03:25 pm
  2. Pennfoster's drafting with Autocad Elective Project (civil Drafting)
    By HARPAL in forum Student Project Questions
    Replies: 23
    Last Post: 8th Jan 2013, 07:21 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts